Package org.jboss.classfilewriter

## Class ClassMethod

- java.lang.Object
- - org.jboss.classfilewriter.ClassMethod

All Implemented Interfaces:
  `WritableEntry`

    public class ClassMethod
    extends Object
    implements WritableEntry

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCheckedExceptions​(Class<? extends Exception>... exceptions)`
`void` `addCheckedExceptions​(String... exceptions)`
`boolean` `equals​(Object obj)`
`int` `getAccessFlags​()`
`ClassFile` `getClassFile​()`
`CodeAttribute` `getCodeAttribute​()`
`String` `getDescriptor​()`
`String` `getName​()`
`String[]` `getParameters​()`
`String` `getReturnType​()`
`AnnotationsAttribute` `getRuntimeVisibleAnnotationsAttribute​()`
`ParameterAnnotationsAttribute` `getRuntimeVisibleParameterAnnotationsAttribute​()`
`String` `getSignature​()`
`int` `hashCode​()`
`boolean` `isConstructor​()`
`boolean` `isStatic​()`
`void` `setSignature​(String signature)`
`String` `toString​()`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### addCheckedExceptions

    public void addCheckedExceptions​(Class<? extends Exception>... exceptions)

#### addCheckedExceptions

    public void addCheckedExceptions​(String... exceptions)

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

#### getCodeAttribute

    public CodeAttribute getCodeAttribute​()

#### getAccessFlags

    public int getAccessFlags​()

#### getReturnType

    public String getReturnType​()

#### getParameters

    public String[] getParameters​()

#### getName

    public String getName​()

#### getDescriptor

    public String getDescriptor​()

#### isConstructor

    public boolean isConstructor​()

#### isStatic

    public boolean isStatic​()

#### getClassFile

    public ClassFile getClassFile​()

#### getRuntimeVisibleAnnotationsAttribute

    public AnnotationsAttribute getRuntimeVisibleAnnotationsAttribute​()

#### getRuntimeVisibleParameterAnnotationsAttribute

    public ParameterAnnotationsAttribute getRuntimeVisibleParameterAnnotationsAttribute​()

#### getSignature

    public String getSignature​()

#### setSignature

    public void setSignature​(String signature)

#### hashCode

    public int hashCode​()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString​()

Overrides:
  `toString` in class `Object`